<!---- user.signup.php 시작 -------->
<?php
if (!defined('YOGI')) exit ; // 개별 페이지 접근 불가
if (isset($_POST['submit'])) {  //- [회원가입신청] 버튼을 클릭해 들어 왔으면
    // POST로 넘어온 인자내용 보안검사
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러'); // DB 접속
    $uid   = mysqli_real_escape_string($dbc, trim($_POST['uid']));
    $uname = mysqli_real_escape_string($dbc, trim($_POST['uname']));
    $pass1 = mysqli_real_escape_string($dbc, trim($_POST['pass1']));
    $pass2 = mysqli_real_escape_string($dbc, trim($_POST['pass2']));
    $email = mysqli_real_escape_string($dbc, trim($_POST['email']));
    $mobile = mysqli_real_escape_string($dbc, trim($_POST['mobile']));
    $captcha = mysqli_real_escape_string($dbc, trim($_POST['captcha']));

    if (!empty($uid) &&!empty($uname) && !empty($pass1) && !empty($pass2) && ($pass1 == $pass2) && !empty($captcha)) {
        // 입력한 캡차가 맞는지 검사
        if ($captcha <> $_SESSION['captcha']) {
            echo '<p class="w3-text-red">입력한 자동가입방지 글자가 틀립니다.  다시 입력하세요.</p>';
            //echo '<p class="w3-text-red">입력한 글자 =' . $captcha . '</p>';
            //echo '<p class="w3-text-red">캡차 글자 =' . $_SESSION['captcha'] . '</p>';
        } else {
            // 이미 등록된 아이디 인지 검사위해 아이디 검색
            $query = "SELECT * FROM yg_user WHERE uid = '$uid'";
            $data  = mysqli_query($dbc, $query);
            if (mysqli_num_rows($data) == 0) {
                // 쿼리결과 = 0 이면 중복 아이디가 아니므로 DB에 추가
                $hash = password_hash($pass1, PASSWORD_BCRYPT); // 비번 암호화
                $query = "INSERT INTO yg_user (uid, uname, pass, date, email, mobile, level)
                        VALUES ('$uid','$uname', '$hash', NOW(), '$email','$mobile',2)";
                mysqli_query($dbc, $query) or die('DB 신규회원추가 에러');

                // 축하 메시지 주고 나간다.
                echo '<p class="w3-text-green">회원가입을 축하합니다. 가입한 아이디로 <a href="login.php">[로그인]</a> 하세요.</p>';
                mysqli_close($dbc);
                exit();
            } else {
                // 이미 등록된 동일 아이디가 있으면..
                echo '<p class="w3-text-red">'. $uid . '는 사용중인 아이디 입니다. 다른 아이디를 사용하세요.</p>';
                $uid = "";
            }
        }
    }
    else {
        echo '<p class="w3-text-red">아이디,비번, 자동입력방지코드 중에서 빠진 것이 있습니다. 체크해 보세요.</p>';
    }
}
?>
  <h4>회원가입</h4>
  <form class="w3-left-align" style="max-width:500px; margin:auto" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
    <label for="uid">아이디</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="uid" name="uid" value="<?php if (!empty($uid)) echo $uid; ?>" autocomplete=off required autofocus>
    <label for="pass1">비밀번호</label>
    <input type="password" class="w3-input w3-border w3-margin-bottom" id="pass1" name="pass1" autocomplete=off required>
    <label for="pass2">비밀번호 확인</label>
    <input type="password" class="w3-input w3-border w3-margin-bottom" id="pass2" name="pass2" autocomplete=off required>
    <label for="uname">이름/별명</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="uname" name="uname" value="<?php if (!empty($uname)) echo $uname; ?>" required>
    <label for="email">이메일</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="email" name="email" value="<?php if (!empty($email)) echo $email; ?>" required>
    <label for="mobile">휴대폰</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="mobile" name="mobile" value="<?php if (!empty($mobile)) echo $mobile; ?>" required>


    <label for="captcha">아래 로봇방지 글자를 입력하세요</label>
    <div class="w3-row w3-input w3-border w3-margin-bottom">
      <div class="w3-col m6">
          <input type="text" class="form-control" id="captcha" name="captcha"  autocomplete=off required> 
      </div>    
      <div class="w3-col m6">
          <img src="<?php echo IMG_PATH .'/captcha.php'?>" />
      </div>
    </div>  
    <div class="w3-center">
      <font color="red">[주의!] 게시판에 광고등 부적절한 내용 올리시면 경고없이 바로 퇴장됩니다.</font><br><br>  
      <button class="w3-button w3-border w3-round-large w3-blue" type="submit" name="submit">회원가입 신청</button>
    </div>
  </form>
<!---- user.signup.php 끝 -------->